.author-bio {
  position: relative;
  font-size: var(--global--font-size-xs);
  max-width: var(--responsive--aligndefault-width);
}

.site-main > article > .author-bio {
  margin-top: calc(2 * var(--global--spacing-vertical));
}

.author-bio.show-avatars .avatar {
  display: inline-block;
  vertical-align: top;
  border-radius: 50%;
}

.author-bio.show-avatars .author-bio-content {
  display: inline-block;
  padding-left: var(--global--spacing-horizontal);
  max-width: calc(var(--responsive--aligndefault-width) - 90px);
}

.author-bio .author-bio-content .author-title {
  font-family: var(--entry-author-bio--font-family);
  font-size: var(--entry-author-bio--font-size);
  display: inline;
}

.author-bio .author-bio-content .author-description {
  font-size: var(--global--font-size-xs);
  margin-top: calc(0.5 * var(--global--spacing-vertical));
  margin-bottom: calc(0.5 * var(--global--spacing-vertical));
}

.archive .content-area .format-aside .entry-content,
.archive .content-area .format-status .entry-content,
.archive .content-area .format-link .entry-content,
.search .content-area .format-aside .entry-content,
.search .content-area .format-status .entry-content,
.search .content-area .format-link .entry-content,
.blog .content-area .format-aside .entry-content,
.blog .content-area .format-status .entry-content,
.blog .content-area .format-link .entry-content {
  font-size: var(--global--font-size-lg);
}

.archive .format-image .entry-content,
.archive .format-gallery .entry-content,
.archive .format-video .entry-content,
.search .format-image .entry-content,
.search .format-gallery .entry-content,
.search .format-video .entry-content,
.blog .format-image .entry-content,
.blog .format-gallery .entry-content,
.blog .format-video .entry-content {
  margin-top: calc(2 * var(--global--spacing-vertical));
}

.archive .entry-footer .cat-links,
.archive .entry-footer .tags-links,
.search .entry-footer .cat-links,
.search .entry-footer .tags-links,
.blog .entry-footer .cat-links,
.blog .entry-footer .tags-links {
  display: block;
}

.archive.logged-in .entry-footer .posted-on,
.search.logged-in .entry-footer .posted-on,
.blog.logged-in .entry-footer .posted-on {
  margin-right: calc(0.5 * var(--global--spacing-unit));
}

/*search results page*/

.search-query {
  font-family: var(--global--font-secondary);
  margin-top: 30px;
  margin-bottom: 20px;
  color: var(--global--color-main);
  font-weight: bold;
}

.search-items {
  display: flex;
  flex-wrap: wrap;
  padding: 20px;
  gap: 10px;
  margin: 0 auto;
  justify-content: center;
}

.search-item {
  max-width: 300px;
  width: 300px;
  margin-bottom: 40px;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
}

.search-text {
  padding: 15px;
}

.search-text a {
  text-decoration: underline;
}

.search-text a:hover {
  cursor: pointer;
}

.search-item .time {
  font-size: 0.8rem;
  font-family: var(--global--font-primary);
  color: var(--global--color-gray);
}

.search-thumbnail {
  height: 200px;
  background-color: var(--global--color-gray);
}

.search-thumbnail img {
  height: 200px !important;
  object-fit: cover;
  width: 100%;
}

.search-title {
  margin-bottom: 1em;
  font-size: 1.2em;
  color: var(--global--color-main);
  font-family: var(--global--font-primary);
  font-weight: bold;
  cursor: pointer;
}

a .search-title:hover {
  color: var(--global--color-secondary);
}

/*kontakt page*/

.contact-row {
  padding-top: 40px;
  display: block;
  margin: 0;
  max-width: 100% !important;
}

.contact-form {
  padding-top: 40px;
}

.contact-row label {
  width: 100%;
  display: block;
  margin: 0;
  font-weight: normal;
  font-size: 18px;
  line-height: 28px;
}

.contact-infos {
  margin-bottom: 50px;
}

.contact-infos h3 {
  border-left: 2px solid var(--global--color-secondary);
  text-transform: uppercase;
  padding-left: 10px;
  padding-right: 10px;
  line-height: 40px;
  font-weight: bold;
}

.map-frame {
  display: block;
  margin: 0;
  max-width: 100% !important;
}

.map-frame iframe {
  width: 100%;
}

.contact-form .wpcf7 .wpcf7-submit {
  border-radius: 4px;
  width: auto;
  margin: 0;
  padding: 10px 30px;
  display: inline-block;
  text-align: center;
  background-color: var(--global--color-secondary) !important;
  color: var(--global--color-white) !important;
  text-decoration: none;
  text-transform: uppercase;
  font-size: 13px;
  line-height: 16px;
  font-weight: 800;
  font-family: var(--global--font-primary);
}

.contact-form .wpcf7 .wpcf7-submit:hover,
.contact-form .wpcf7 .wpcf7-submit:active,
.contact-form .wpcf7 .wpcf7-submit:focus {
  border-radius: 4px;
  background-color: var(--global--color-main) !important;
  border-color: var(--global--color-main) !important;
}

/*style for single post_type POST*/

.post_default .disclaimer {
  text-align: left;
  color: #0d3c55;
  margin-left: 0;
}

.post_default .disclaimer p {
  color: #0d3c55 !important;
  opacity: 0.8;
}

/*top 4 articles*/

.single-item {
  display: flex;
  align-items: center;
}

.list-posts {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(49%, 1fr));
  grid-gap: 1rem;
  grid-auto-flow: dense;
  margin-bottom: 20px;
}

.list-post-thumb {
  width: 150px;
  min-width: 150px;
}

.list-post-thumb img {
  height: 100%;
  max-height: 100px;
  object-fit: cover;
}

.custom-list-title {
  text-transform: uppercase;
  border-left: 2px solid var(--global--color-secondary);
  margin-left: 10px;
  padding-left: 10px;
  padding-right: 10px;
  line-height: 22px;
  font-weight: bold;
  font-family: var(--global--font-secondary);
}

.custom-list-title a {
  font-size: 1.05em;
  color: var(--global--color-main);
  line-height: 1.2em;
  text-decoration: none;
}

.custom-list-title a:hover {
  color: var(--global--color-secondary);
}

.categories-section {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(32%, 1fr));
  grid-gap: 1rem;
  grid-auto-flow: dense;
}

.single-cat img {
  width: 100%;
  height: 200px;
  object-fit: cover;
  margin-bottom: 20px;
}

/*category archive*/

.category-page {
  margin-bottom: 50px !important;
}

.category-page .archive-header {
  padding-top: 70px;
  padding-bottom: 50px;
}

.category-page .archive-title {
  font-weight: 700;
}

.post_article {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 1rem;
  grid-auto-flow: dense;
}

.post_article > .post {
  border-radius: 5px;
  box-shadow: rgb(99 99 99 / 20%) 0px 2px 8px 0px;
  overflow: hidden;
  width: 100%;
}

.category-page .post_article img {
  width: 100% !important;
  height: 170px !important;
  object-fit: cover;
}

.category-page .post_article .entry_content {
  padding: 0 20px;
}

.category-page .entry_header h2 {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  font-size: 1.4rem;
  font-weight: bold;
  text-decoration: underline;
  margin-bottom: 20px;
}

.category-page .category_thumb {
  margin-bottom: 20px;
}

.category-page .post .short-content a {
  display: none;
}

.category-page a.read_more {
  float: left;
  margin: 20px 0;
  background: #1f2a4c;
  padding: 7px 16px;
  color: #fff !important;
  text-decoration: none;
  border-radius: 3px;
  font-size: 14px;
  bottom: 15px;
  right: 15px;
}

.categories-section .custom-list-desc {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 5;
  -webkit-box-orient: vertical;
  padding: 0px 20px;
  margin-top: 10px;
}

/*Search results css*/

.search-query {
  text-align: center;
}

/*author archive*/

.single-author {
  padding-bottom: 0;
  padding-top: 0;
  margin-top: 0;
}

.single-author .about-author {
  margin-top: 0;
  padding-top: 40px;
}

.author_bio h1 {
  margin-top: 0;
  font-size: 1.5rem !important;
  line-height: 1.5rem !important;
  margin-bottom: 20px;
  font-weight: bold;
}

.author_bio h2 {
  margin-top: 0;
  font-size: 1.2rem !important;
  line-height: 1.2rem !important;
  margin-bottom: 20px;
}

.author_bio h3 {
  margin-top: 0;
  font-size: 1rem !important;
  line-height: 1rem !important;
  margin-bottom: 20px;
}

.author_bio p {
  margin-bottom: 15px;
}

.single-author .about-author .user_avatar {
  margin-bottom: 20px;
  min-width: 96px;
}

.single-author .about-author .authors_box .author .photo {
  width: 96px;
  height: 96px;
  border-radius: 50%;
  border: 1px solid #eaeaea;
}

.single-author .about-author .authors_box .author {
  display: flex;
  margin-top: 40px;
  align-items: start;
}

.single-author .about-author .authors_box .author .author_bio {
  padding-left: 30px;
}

.single-author .posts-slider h2,
.ca_archive h2 {
  font-size: 1.2rem !important;
  line-height: 1.5rem;
  margin-bottom: 20px;
}

.single-author .posts-slider article {
  margin-top: 0px;
}

.ca_archive {
  margin-top: 60px;
}

.ca_archive ul {
  margin-left: 0;
  padding: 0;
}

.ca_archive .ca_accordion {
  color: #495551 !important;
  cursor: pointer;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
  transition: 0.4s;
  box-sizing: border-box;
  background-color: #fff !important;
  border-bottom: 1px solid #ebebeb;
  text-transform: uppercase;
  font-weight: 600;
  padding: 10px 15px;
}

.ca_archive .ca_panel p {
  margin: 0px;
  padding: 18px;
  background-color: #fafafa;
  border-bottom: 1px solid #ebebeb;
  font-size: 16px;
  line-height: 20px;
  cursor: pointer;
}

.ca_archive .ca_panel {
  background-color: white;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}
